NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::AssociativeLineBuilder Class Reference

Represents a NXOpen::Features::AssociativeLine builder
To create a new instance of this class, use NXOpen::Features::BaseFeatureCollection::CreateAssociativeLineBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::AssociativeLineBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  EndOption {
  EndOptionInferred, EndOptionPoint, EndOptionTangent, EndOptionAtAngle,
  EndOptionAlongXc, EndOptionAlongYc, EndOptionAlongZc, EndOptionNormal
}
 Represents end options type. More...
 
enum  EndReference { EndReferenceWcs, EndReferenceAbsolute, EndReferenceCordinatesSystem }
 Represents references for end point. More...
 
enum  StartOption {
  StartOptionInferred, StartOptionPoint, StartOptionTangent, StartOptionAtAngle,
  StartOptionAlongXc, StartOptionAlongYc, StartOptionAlongZc, StartOptionNormal
}
 Represents start options type. More...
 
enum  StartReference { StartReferenceWcs, StartReferenceAbsolute, StartReferenceCordinatesSystem }
 Represents references for start point. More...
 

Public Member Functions

bool Associative ()
 Returns the associative
Created in NX5.0.0. More...
 
NXOpen::ExpressionEndAngle ()
 Returns the end angle
Created in NX7.5.0. More...
 
NXOpen::SelectDisplayableObjectEndAtAngle ()
 Returns the end at angle
Created in NX7.5.0. More...
 
NXOpen::SelectObjectEndInferredConstraint ()
 Returns the end inferred constraint
Created in NX5.0.0. More...
 
NXOpen::SelectDisplayableObjectEndNormal ()
 Returns the end normal - point can be passed in SELECT_OBJECT which is used in case of multiple solutions
More...
 
NXOpen::SelectPointEndPoint ()
 Returns the end point - this should be a smart point created using one of NXOpen::PointCollection::CreatePoint
Created in NX5.0.0. More...
 
NXOpen::Features::AssociativeLineBuilder::EndOption EndPointOptions ()
 Returns the end point options
Created in NX5.0.0. More...
 
NXOpen::Features::AssociativeLineBuilder::EndReference EndPointReference ()
 Returns the end point reference
Created in NX5.0.0. More...
 
NXOpen::SelectCartesianCoordinateSystemEndReferenceCsys ()
 Returns the end reference coordinate system
Created in NX5.0.0. More...
 
NXOpen::SelectICurveEndTangent ()
 Returns the end tangent - point can be passed in SELECT_OBJECT which is used in case of multiple solutions
Created in NX5.0.0. More...
 
NXOpen::GeometricUtilities::CurveLimitsDataLimits ()
 Returns the limits
Created in NX5.0.0. More...
 
NXOpen::SelectDisplayableObjectListLineEndNormal ()
 Returns the end normal - The end normal can have multiple faces, edges, curves and single datum. More...
 
NXOpen::SelectDisplayableObjectListLineStartNormal ()
 Returns the start normal - The start normal can have multiple faces, edges, curves and single datum. More...
 
void SetAssociative (bool associative)
 Sets the associative
Created in NX5.0.0. More...
 
void SetEndPointOptions (NXOpen::Features::AssociativeLineBuilder::EndOption endPointOptions)
 Sets the end point options
Created in NX5.0.0. More...
 
void SetEndPointReference (NXOpen::Features::AssociativeLineBuilder::EndReference endPointReference)
 Sets the end point reference
Created in NX5.0.0. More...
 
void SetStartPointOptions (NXOpen::Features::AssociativeLineBuilder::StartOption startPointOptions)
 Sets the start point options
Created in NX5.0.0. More...
 
void SetStartPointReference (NXOpen::Features::AssociativeLineBuilder::StartReference startPointReference)
 Sets the start point reference
Created in NX5.0.0. More...
 
NXOpen::ExpressionStartAngle ()
 Returns the start angle
Created in NX7.5.0. More...
 
NXOpen::SelectDisplayableObjectStartAtAngle ()
 Returns the start at angle
Created in NX7.5.0. More...
 
NXOpen::SelectObjectStartInferredConstraint ()
 Returns the start inferred constraint
Created in NX5.0.0. More...
 
NXOpen::SelectDisplayableObjectStartNormal ()
 Returns the start normal - point can be passed in SELECT_OBJECT which is used in case of multiple solutions
More...
 
NXOpen::SelectPointStartPoint ()
 Returns the start point - this should be a smart point created using one of NXOpen::PointCollection::CreatePoint
Created in NX5.0.0. More...
 
NXOpen::Features::AssociativeLineBuilder::StartOption StartPointOptions ()
 Returns the start point options
Created in NX5.0.0. More...
 
NXOpen::Features::AssociativeLineBuilder::StartReference StartPointReference ()
 Returns the start point reference
Created in NX5.0.0. More...
 
NXOpen::SelectCartesianCoordinateSystemStartReferenceCsys ()
 Returns the start reference coordinate system
Created in NX5.0.0. More...
 
NXOpen::SelectICurveStartTangent ()
 Returns the start tangent - point can be passed in SELECT_OBJECT which is used in case of multiple solutions
Created in NX5.0.0. More...
 
NXOpen::GeometricUtilities::SupportPlaneDataSupportPlaneData ()
 Returns the support plane data
Created in NX5.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::AssociativeLine builder
To create a new instance of this class, use NXOpen::Features::BaseFeatureCollection::CreateAssociativeLineBuilder
Default values.

Property Value

Associative

True

Limits.EndLimit.LimitOption

AtPoint

SupportPlaneData.SupportPlaneLockStatus

No


Created in NX5.0.0.

Member Enumeration Documentation

Represents end options type.

Enumerator
EndOptionInferred 

Inferred.

EndOptionPoint 

Point.

EndOptionTangent 

Tangent.

EndOptionAtAngle 

At angle.

EndOptionAlongXc 

Along XC.

EndOptionAlongYc 

Along YC.

EndOptionAlongZc 

Along ZC.

EndOptionNormal 

Normal.

Represents references for end point.

Enumerator
EndReferenceWcs 

WCS.

EndReferenceAbsolute 

Absolute.

EndReferenceCordinatesSystem 

CSYS.

Represents start options type.

Enumerator
StartOptionInferred 

Inferred.

StartOptionPoint 

Point.

StartOptionTangent 

Tangent.

StartOptionAtAngle 

At angle.

StartOptionAlongXc 

Along XC.

StartOptionAlongYc 

Along YC.

StartOptionAlongZc 

Along ZC.

StartOptionNormal 

Normal.

Represents references for start point.

Enumerator
StartReferenceWcs 

WCS.

StartReferenceAbsolute 

Absolute.

StartReferenceCordinatesSystem 

CSYS.

Member Function Documentation

bool NXOpen::Features::AssociativeLineBuilder::Associative ( )

Returns the associative
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::AssociativeLineBuilder::EndAngle ( )

Returns the end angle
Created in NX7.5.0.



License requirements : None

NXOpen::SelectDisplayableObject* NXOpen::Features::AssociativeLineBuilder::EndAtAngle ( )

Returns the end at angle
Created in NX7.5.0.



License requirements : None

NXOpen::SelectObject* NXOpen::Features::AssociativeLineBuilder::EndInferredConstraint ( )

Returns the end inferred constraint
Created in NX5.0.0.



License requirements : None

NXOpen::SelectDisplayableObject* NXOpen::Features::AssociativeLineBuilder::EndNormal ( )

Returns the end normal - point can be passed in SELECT_OBJECT which is used in case of multiple solutions

Deprecated:
Deprecated in NX11.0.1.

Use other versions of NXOpen::Features::AssociativeLineBuilder::LineEndNormal .


Created in NX5.0.0.

License requirements : None

NXOpen::SelectPoint* NXOpen::Features::AssociativeLineBuilder::EndPoint ( )

Returns the end point - this should be a smart point created using one of NXOpen::PointCollection::CreatePoint
Created in NX5.0.0.



License requirements : None

NXOpen::Features::AssociativeLineBuilder::EndOption NXOpen::Features::AssociativeLineBuilder::EndPointOptions ( )

Returns the end point options
Created in NX5.0.0.



License requirements : None

NXOpen::Features::AssociativeLineBuilder::EndReference NXOpen::Features::AssociativeLineBuilder::EndPointReference ( )

Returns the end point reference
Created in NX5.0.0.



License requirements : None

NXOpen::SelectCartesianCoordinateSystem* NXOpen::Features::AssociativeLineBuilder::EndReferenceCsys ( )

Returns the end reference coordinate system
Created in NX5.0.0.



License requirements : None

NXOpen::SelectICurve* NXOpen::Features::AssociativeLineBuilder::EndTangent ( )

Returns the end tangent - point can be passed in SELECT_OBJECT which is used in case of multiple solutions
Created in NX5.0.0.



License requirements : None

NXOpen::GeometricUtilities::CurveLimitsData* NXOpen::Features::AssociativeLineBuilder::Limits ( )

Returns the limits
Created in NX5.0.0.



License requirements : None

NXOpen::SelectDisplayableObjectList* NXOpen::Features::AssociativeLineBuilder::LineEndNormal ( )

Returns the end normal - The end normal can have multiple faces, edges, curves and single datum.

This data resides in NXOpen::ScCollector which is inside SELECT_OBJECT_list. The line normal will be evaluated to the closest entity from the selected point. The input collector must not contain mixed selection. Multiple datum planes are not allowed and the faces in collector must be contiguous.


Created in NX11.0.1.

License requirements : None

NXOpen::SelectDisplayableObjectList* NXOpen::Features::AssociativeLineBuilder::LineStartNormal ( )

Returns the start normal - The start normal can have multiple faces, edges, curves and single datum.

This data resides in NXOpen::ScCollector which is inside SELECT_OBJECT_list. The line normal will be evaluated to the closest entity from the selected point. The input collector must not contain mixed selection. Multiple datum planes are not allowed and the faces in collector must be contiguous.


Created in NX11.0.1.

License requirements : None

void NXOpen::Features::AssociativeLineBuilder::SetAssociative ( bool  associative)

Sets the associative
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
associativeassociative
void NXOpen::Features::AssociativeLineBuilder::SetEndPointOptions ( NXOpen::Features::AssociativeLineBuilder::EndOption  endPointOptions)

Sets the end point options
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
endPointOptionsendpointoptions
void NXOpen::Features::AssociativeLineBuilder::SetEndPointReference ( NXOpen::Features::AssociativeLineBuilder::EndReference  endPointReference)

Sets the end point reference
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
endPointReferenceendpointreference
void NXOpen::Features::AssociativeLineBuilder::SetStartPointOptions ( NXOpen::Features::AssociativeLineBuilder::StartOption  startPointOptions)

Sets the start point options
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
startPointOptionsstartpointoptions
void NXOpen::Features::AssociativeLineBuilder::SetStartPointReference ( NXOpen::Features::AssociativeLineBuilder::StartReference  startPointReference)

Sets the start point reference
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
startPointReferencestartpointreference
NXOpen::Expression* NXOpen::Features::AssociativeLineBuilder::StartAngle ( )

Returns the start angle
Created in NX7.5.0.



License requirements : None

NXOpen::SelectDisplayableObject* NXOpen::Features::AssociativeLineBuilder::StartAtAngle ( )

Returns the start at angle
Created in NX7.5.0.



License requirements : None

NXOpen::SelectObject* NXOpen::Features::AssociativeLineBuilder::StartInferredConstraint ( )

Returns the start inferred constraint
Created in NX5.0.0.



License requirements : None

NXOpen::SelectDisplayableObject* NXOpen::Features::AssociativeLineBuilder::StartNormal ( )

Returns the start normal - point can be passed in SELECT_OBJECT which is used in case of multiple solutions

Deprecated:
Deprecated in NX11.0.1.

Use other versions of NXOpen::Features::AssociativeLineBuilder::LineStartNormal .


Created in NX7.5.0.

License requirements : None

NXOpen::SelectPoint* NXOpen::Features::AssociativeLineBuilder::StartPoint ( )

Returns the start point - this should be a smart point created using one of NXOpen::PointCollection::CreatePoint
Created in NX5.0.0.



License requirements : None

NXOpen::Features::AssociativeLineBuilder::StartOption NXOpen::Features::AssociativeLineBuilder::StartPointOptions ( )

Returns the start point options
Created in NX5.0.0.



License requirements : None

NXOpen::Features::AssociativeLineBuilder::StartReference NXOpen::Features::AssociativeLineBuilder::StartPointReference ( )

Returns the start point reference
Created in NX5.0.0.



License requirements : None

NXOpen::SelectCartesianCoordinateSystem* NXOpen::Features::AssociativeLineBuilder::StartReferenceCsys ( )

Returns the start reference coordinate system
Created in NX5.0.0.



License requirements : None

NXOpen::SelectICurve* NXOpen::Features::AssociativeLineBuilder::StartTangent ( )

Returns the start tangent - point can be passed in SELECT_OBJECT which is used in case of multiple solutions
Created in NX5.0.0.



License requirements : None

NXOpen::GeometricUtilities::SupportPlaneData* NXOpen::Features::AssociativeLineBuilder::SupportPlaneData ( )

Returns the support plane data
Created in NX5.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.